<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (version 1.7.0_45) on Wed Oct 14 11:56:20 CEST 2015 -->
<title>Equipment</title>
<meta name="date" content="2015-10-14">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Equipment";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.technogym.android.unitysdk</div>
<h2 title="Class Equipment" class="title">Class Equipment</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>ContentObserver</li>
<li>
<ul class="inheritance">
<li>com.technogym.android.unitysdk.ContentProviderProxy</li>
<li>
<ul class="inheritance">
<li>com.technogym.android.unitysdk.Equipment</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">Equipment</span>
extends com.technogym.android.unitysdk.ContentProviderProxy</pre>
<div class="block">The Equipment content provider that allows you to get and set informations about the equipment the user is using.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#ACCELERATION">ACCELERATION</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#ACCELERATION_HIGH">ACCELERATION_HIGH</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#ACCELERATION_LOW">ACCELERATION_LOW</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#ACCELERATION_NORMAL">ACCELERATION_NORMAL</a></strong></code>
<div class="block">Measures the amount of energy a person uses per minute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#BAND">BAND</a></strong></code>
<div class="block">Indicates you are using a chest band as heart rate channel to get the heart rate.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#BIOFEEDBACK_LOPE">BIOFEEDBACK_LOPE</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#BIOFEEDBACK_SPM">BIOFEEDBACK_SPM</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#BROADCAST_ERROR_LOG_INTENT">BROADCAST_ERROR_LOG_INTENT</a></strong></code>
<div class="block">Constant that indicates the action for the broadcast error log intent.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#BROADCAST_OPERATING_DATA_INTENT">BROADCAST_OPERATING_DATA_INTENT</a></strong></code>
<div class="block">Constant that indicates the action for the broadcast operating data intent.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#BROADCAST_PARAMETER_INTENT">BROADCAST_PARAMETER_INTENT</a></strong></code>
<div class="block">Constant that indicates the action for the broadcast parameter intent.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#BROADCAST_UPDOWN_TABLE_POINT_INTENT">BROADCAST_UPDOWN_TABLE_POINT_INTENT</a></strong></code>
<div class="block">Constant that indicates the action for the broadcast up-down table point intent.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#CODE">CODE</a></strong></code>
<div class="block">Indicates the code of the equipment.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#CODE_NOTIFICATION">CODE_NOTIFICATION</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static Uri</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#CONTENT_URI">CONTENT_URI</a></strong></code>
<div class="block">The Content Provider URI.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#DISPLAY_TYPE">DISPLAY_TYPE</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#DISTANCE">DISTANCE</a></strong></code>
<div class="block">The distance traveled in the current training session.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#EFFORT_LEVEL">EFFORT_LEVEL</a></strong></code>
<div class="block">Indicates the current effort level.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#EFFORT_LEVEL_MAX">EFFORT_LEVEL_MAX</a></strong></code>
<div class="block">Indicates maximum effort level.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#EFFORT_LEVEL_MIN">EFFORT_LEVEL_MIN</a></strong></code>
<div class="block">Indicates minimum effort level.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#EMERGENCY">EMERGENCY</a></strong></code>
<div class="block">The equipment status is "emergency".</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#EVENT_KEY">EVENT_KEY</a></strong></code>
<div class="block">Constant that indicates the key for events to use in intent.putExtra.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#EVENT_NOTIFY_STARTED">EVENT_NOTIFY_STARTED</a></strong></code>
<div class="block">Constant to indicate the event is started.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#EVENT_NOTIFY_STOPPED">EVENT_NOTIFY_STOPPED</a></strong></code>
<div class="block">Constant to indicate the event is stopped.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#EVENT_RESTARTED">EVENT_RESTARTED</a></strong></code>
<div class="block">Constant to indicate the event is restarted.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#EVENT_STARTED">EVENT_STARTED</a></strong></code>
<div class="block">Constant to indicate the event is started.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#EVENT_STOPPED">EVENT_STOPPED</a></strong></code>
<div class="block">Constant to indicate the event is stopped.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#EVENT_UNKNOWN">EVENT_UNKNOWN</a></strong></code>
<div class="block">Constant to indicate an unknow event.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#EXTRA_PLATE">EXTRA_PLATE</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#FAMILY_CODE">FAMILY_CODE</a></strong></code>
<div class="block">Indicates the family code of the equipment.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#FAULT">FAULT</a></strong></code>
<div class="block">The equipment status is "fault".</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#FAULT_TYPE">FAULT_TYPE</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#FaultCommLowKit">FaultCommLowKit</a></strong></code>
<div class="block">Indicates an error occurred in the common low kit.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#FaultEmergency">FaultEmergency</a></strong></code>
<div class="block">Indicates an error occurred due to an emergency.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#FaultGeneric">FaultGeneric</a></strong></code>
<div class="block">Indicates that a generic error have occurred.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#FaultIncline">FaultIncline</a></strong></code>
<div class="block">Indicates that an error in incline system have occurred.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#FaultNone">FaultNone</a></strong></code>
<div class="block">Indicates that no errors have occurred.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#GENERIC_CODE">GENERIC_CODE</a></strong></code>
<div class="block">Indicates the generic code of the equipment.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#GREEN_EQUIPMENT_ENERGY">GREEN_EQUIPMENT_ENERGY</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#GREEN_TRAINING_ENERGY">GREEN_TRAINING_ENERGY</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#HAND">HAND</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#HEARTRATE">HEARTRATE</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#HEARTRATE_CHANNEL">HEARTRATE_CHANNEL</a></strong></code>
<div class="block">The heart rate channel.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#HR_NOT_DETECTED">HR_NOT_DETECTED</a></strong></code>
<div class="block">In this status, the heart rate is not detected.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#HR_SOURCE_UNDETECTED">HR_SOURCE_UNDETECTED</a></strong></code>
<div class="block">Indicates heart rate channel is undected</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#INCLINE">INCLINE</a></strong></code>
<div class="block">Percentage of inclination of the treadmill.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#INCLINE_INCREMENT">INCLINE_INCREMENT</a></strong></code>
<div class="block">Indicates the percentage of increase of the gradient.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#INCLINE_MAX">INCLINE_MAX</a></strong></code>
<div class="block">Indicates maximum gradient percentage that the treadmill can reach.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#INCLINE_MIN">INCLINE_MIN</a></strong></code>
<div class="block">Indicates minimum gradient percentage that the treadmill can reach.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#INTENT_KEY">INTENT_KEY</a></strong></code>
<div class="block">Constant that indicates the action is for equipment.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#INVERTER_INPUT_POWER">INVERTER_INPUT_POWER</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#INVERTER_OUTPUT_CURRENT">INVERTER_OUTPUT_CURRENT</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#LOGOUT_TIMEOUT">LOGOUT_TIMEOUT</a></strong></code>
<div class="block">Start a broadcast to notify an event.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#LOWKIT_COM_ERROR">LOWKIT_COM_ERROR</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#MUSIC_TOUCH">MUSIC_TOUCH</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#NOTIFY_KEY">NOTIFY_KEY</a></strong></code>
<div class="block">Constant that indicates the key for notify action.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#PACE">PACE</a></strong></code>
<div class="block">Indicates the time it takes to travel a kilometer, in seconds.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#PAUSE">PAUSE</a></strong></code>
<div class="block">The equipment status is "pause".</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#PAUSE_ACKNOWLEDGE">PAUSE_ACKNOWLEDGE</a></strong></code>
<div class="block">Indicates low kit has stopped after a pause command.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#READY">READY</a></strong></code>
<div class="block">The equipment status is "ready".</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#READY_TO_USE_ENABLED">READY_TO_USE_ENABLED</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#REGENERATIVE">REGENERATIVE</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#RPM">RPM</a></strong></code>
<div class="block">Round per minutes.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#RPM_MAX">RPM_MAX</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#RPM_MIN">RPM_MIN</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#RUNNING">RUNNING</a></strong></code>
<div class="block">The equipment status is "running".</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#SELECTED_PLATE">SELECTED_PLATE</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#SPEED">SPEED</a></strong></code>
<div class="block">Speed of the treadmill, in Km/h.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#SPEED_MAX">SPEED_MAX</a></strong></code>
<div class="block">Indicates maximum speed that the treadmill can reach, in Km/h.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#SPEED_MIN">SPEED_MIN</a></strong></code>
<div class="block">Indicates minimum speed that the treadmill can reach, in Km/h.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#SPM">SPM</a></strong></code>
<div class="block">Step per minutes. .</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#SPM_MAX">SPM_MAX</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#SPM_MIN">SPM_MIN</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#STATUS">STATUS</a></strong></code>
<div class="block">The status of the current training session.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#STATUS_NOTIFICATION">STATUS_NOTIFICATION</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#STOPPED">STOPPED</a></strong></code>
<div class="block">The equipment status is "stopped".</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#STRENGTH">STRENGTH</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#STRENGTH_ENCODER_0">STRENGTH_ENCODER_0</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#STRENGTH_ENCODER_1">STRENGTH_ENCODER_1</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#TARGET_RPM">TARGET_RPM</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#TARGET_SPM">TARGET_SPM</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#TARGET_TORQUE">TARGET_TORQUE</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#TARGET_WATT">TARGET_WATT</a></strong></code>
<div class="block">Indicates target watt value for the equipment.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#TORQUE">TORQUE</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#TORQUE_MAX">TORQUE_MAX</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#TORQUE_MIN">TORQUE_MIN</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#TV_TOUCH">TV_TOUCH</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#UNITY">UNITY</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#UNITY_VERSION">UNITY_VERSION</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#UNKNOWN">UNKNOWN</a></strong></code>
<div class="block">The equipment status is "unknown".</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#UPLOADING_IN_PROGRESS">UPLOADING_IN_PROGRESS</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#WATT">WATT</a></strong></code>
<div class="block">Indicates the watt value for the equipment.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#WATT_MAX">WATT_MAX</a></strong></code>
<div class="block">Indicates maximum watt value that the equipment can reach.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#WATT_MIN">WATT_MIN</a></strong></code>
<div class="block">Indicates minimum watt value that the equipment can reach.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_com.technogym.android.unitysdk.ContentProviderProxy">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.technogym.android.unitysdk.ContentProviderProxy</h3>
<code>cache, ctx, FOR_SYSTEMBAR, observers</code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#getCode(Context)">getCode</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#getCodefromIntent(Intent)">getCodefromIntent</a></strong>(Intent&nbsp;intent)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#getDisplayType(Context)">getDisplayType</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#getFamilyCode(Context)">getFamilyCode</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#getGenericCode(Context)">getGenericCode</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../com/technogym/android/unitysdk/Equipment.html" title="class in com.technogym.android.unitysdk">Equipment</a></code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#getInstance(Context)">getInstance</a></strong>(Context&nbsp;ctx)</code>
<div class="block">Obtain reference of singleton.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#getIntegerfromIntent(Intent)">getIntegerfromIntent</a></strong>(Intent&nbsp;intent)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#getItentType(Intent)">getItentType</a></strong>(Intent&nbsp;intent)</code>
<div class="block">Return the intent type</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#getStatefromIntent(Intent)">getStatefromIntent</a></strong>(Intent&nbsp;intent)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isArtis(Context)">isArtis</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isArtisStrength(Context)">isArtisStrength</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isBike()">isBike</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isBike(Context)">isBike</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isCrossover()">isCrossover</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isCrossover(Context)">isCrossover</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isGreenEquipment()">isGreenEquipment</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isJogEXCITE()">isJogEXCITE</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isMusicTouch(Context)">isMusicTouch</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isPersonal(Context)">isPersonal</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isRecline()">isRecline</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isRecline(Context)">isRecline</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isRun()">isRun</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isRun(Context)">isRun</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isRunEXCITE()">isRunEXCITE</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isRunEXCITE(Context)">isRunEXCITE</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isRunExcite1000(Context)">isRunExcite1000</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isRunExcite600(Context)">isRunExcite600</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isRunExcite700(Context)">isRunExcite700</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isStep()">isStep</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isStep(Context)">isStep</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isSynchro()">isSynchro</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isSynchro(Context)">isSynchro</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isTop()">isTop</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isTop(Context)">isTop</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isTvTouch(Context)">isTvTouch</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isUnity(Context)">isUnity</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isUnitySelf(Context)">isUnitySelf</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isVario()">isVario</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isVario(Context)">isVario</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isWave()">isWave</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#isWave(Context)">isWave</a></strong>(Context&nbsp;ctx)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#notifyEvent(Context, int)">notifyEvent</a></strong>(Context&nbsp;ctx,
           int&nbsp;event)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../com/technogym/android/unitysdk/Equipment.html#tearDown()">tearDown</a></strong>()</code>
<div class="block">Fake tear down does nothing because this Content Provider Proxy is a singleton.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_com.technogym.android.unitysdk.ContentProviderProxy">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.technogym.android.unitysdk.ContentProviderProxy</h3>
<code>clear, commit, get, getBioFeedbackSample, getBoolean, getByteArray, getDate, getDouble, getFloat, getInt, getLong, getSample, getString, getType, notifyOnChange, notifyOnChange, onChange, removeNotifyOnChange, set, set, set, set, set, set, set, set, set, set, setType</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="UNITY_VERSION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UNITY_VERSION</h4>
<pre>public static final&nbsp;java.lang.String UNITY_VERSION</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.UNITY_VERSION">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="LOWKIT_COM_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LOWKIT_COM_ERROR</h4>
<pre>public static final&nbsp;java.lang.String LOWKIT_COM_ERROR</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.LOWKIT_COM_ERROR">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="INCLINE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INCLINE</h4>
<pre>public static final&nbsp;java.lang.String INCLINE</pre>
<div class="block">Percentage of inclination of the treadmill. To get the value, use a syntax like <code>eq.getDouble(Equipment.INCLINE)</code> where <b><i>eq</i></b> is an instance of Equipment
 class;</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.INCLINE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="SPEED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SPEED</h4>
<pre>public static final&nbsp;java.lang.String SPEED</pre>
<div class="block">Speed of the treadmill, in Km/h. To get the value, use a syntax like <code>eq.getDouble(Equipment.SPEED)</code> where <b><i>eq</i></b> is an instance of Equipment class;</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.SPEED">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="PACE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PACE</h4>
<pre>public static final&nbsp;java.lang.String PACE</pre>
<div class="block">Indicates the time it takes to travel a kilometer, in seconds. To get the value, use a syntax like <code>eq.getDouble(Equipment.PACE)</code> where <b><i>eq</i></b> is an instance
 of Equipment class;</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.PACE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="STATUS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS</h4>
<pre>public static final&nbsp;java.lang.String STATUS</pre>
<div class="block">The status of the current training session. To get the value, use a syntax like <code>eq.getLong(Equipment.STATUS)</code> where <b><i>ep</i></b> is an instance of Equipment
 class.
 <p>
 The allowed types are:
 
 <pre>
 <code>Equipment.UNKNOWN
 Equipment.READY
 Equipment.RUNNING
 Equipment.PAUSE
 Equipment.STOPPED
 Equipment.EMERGENCY
 Equipment.FAULT
 </code>
 </pre>
 
 </p></div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.STATUS">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="STATUS_NOTIFICATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_NOTIFICATION</h4>
<pre>public static final&nbsp;java.lang.String STATUS_NOTIFICATION</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.STATUS_NOTIFICATION">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="CODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CODE</h4>
<pre>public static final&nbsp;java.lang.String CODE</pre>
<div class="block">Indicates the code of the equipment. The code represents the singular equipment in its family and type. To get the value, use a syntax like <code>eq.getInt(Equipment.CODE)</code>
 where <b><i>eq</i></b> is an instance of Equipment class;</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.CODE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="CODE_NOTIFICATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CODE_NOTIFICATION</h4>
<pre>public static final&nbsp;java.lang.String CODE_NOTIFICATION</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.CODE_NOTIFICATION">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="GENERIC_CODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GENERIC_CODE</h4>
<pre>public static final&nbsp;java.lang.String GENERIC_CODE</pre>
<div class="block">Indicates the generic code of the equipment. The generic code represents an equipment type into is family. To get the value, use a syntax like
 <code>eq.getInt(Equipment.GENERIC_CODE)</code> where <b><i>eq</i></b> is an instance of Equipment class;</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.GENERIC_CODE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="FAMILY_CODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAMILY_CODE</h4>
<pre>public static final&nbsp;java.lang.String FAMILY_CODE</pre>
<div class="block">Indicates the family code of the equipment. The family code represents a group of equipment types. To get the value, use a syntax like
 <code>eq.getInt(Equipment.FAMILY_CODE)</code> where <b><i>eq</i></b> is an instance of Equipment class;</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.FAMILY_CODE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="DISPLAY_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DISPLAY_TYPE</h4>
<pre>public static final&nbsp;java.lang.String DISPLAY_TYPE</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.DISPLAY_TYPE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="UNITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UNITY</h4>
<pre>public static final&nbsp;int UNITY</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.UNITY">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TV_TOUCH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TV_TOUCH</h4>
<pre>public static final&nbsp;int TV_TOUCH</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.TV_TOUCH">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="MUSIC_TOUCH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MUSIC_TOUCH</h4>
<pre>public static final&nbsp;int MUSIC_TOUCH</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.MUSIC_TOUCH">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="STRENGTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STRENGTH</h4>
<pre>public static final&nbsp;int STRENGTH</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.STRENGTH">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="SPEED_MIN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SPEED_MIN</h4>
<pre>public static final&nbsp;java.lang.String SPEED_MIN</pre>
<div class="block">Indicates minimum speed that the treadmill can reach, in Km/h. To get the value, use a syntax like <code>eq.getDouble(Equipment.SPEED_MIN)</code> where <b><i>eq</i></b> is an
 instance of Equipment class;</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.SPEED_MIN">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="SPEED_MAX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SPEED_MAX</h4>
<pre>public static final&nbsp;java.lang.String SPEED_MAX</pre>
<div class="block">Indicates maximum speed that the treadmill can reach, in Km/h. To get the value, use a syntax like <code>eq.getDouble(Equipment.SPEED_MAX)</code> where <b><i>eq</i></b> is an
 instance of Equipment class;</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.SPEED_MAX">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="INCLINE_MIN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INCLINE_MIN</h4>
<pre>public static final&nbsp;java.lang.String INCLINE_MIN</pre>
<div class="block">Indicates minimum gradient percentage that the treadmill can reach. To get the value, use a syntax like <code>eq.getDouble(Equipment.INCLINE_MIN)</code> where <b><i>eq</i></b> is
 an instance of Equipment class;</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.INCLINE_MIN">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="INCLINE_MAX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INCLINE_MAX</h4>
<pre>public static final&nbsp;java.lang.String INCLINE_MAX</pre>
<div class="block">Indicates maximum gradient percentage that the treadmill can reach. To get the value, use a syntax like <code>eq.getDouble(Equipment.INCLINE_MAX)</code> where <b><i>eq</i></b> is
 an instance of Equipment class;</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.INCLINE_MAX">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="INCLINE_INCREMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INCLINE_INCREMENT</h4>
<pre>public static final&nbsp;java.lang.String INCLINE_INCREMENT</pre>
<div class="block">Indicates the percentage of increase of the gradient. To get the value, use a syntax like <code>eq.getDouble(Equipment.INCLINE_INCREMENT)</code> where <b><i>eq</i></b> is an
 instance of Equipment class;</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.INCLINE_INCREMENT">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="WATT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WATT</h4>
<pre>public static final&nbsp;java.lang.String WATT</pre>
<div class="block">Indicates the watt value for the equipment. To get the value, use a syntax like <code>eq.getInt(Equipment.WATT)</code> where <b><i>eq</i></b> is an instance of Equipment class;</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.WATT">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="WATT_MAX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WATT_MAX</h4>
<pre>public static final&nbsp;java.lang.String WATT_MAX</pre>
<div class="block">Indicates maximum watt value that the equipment can reach. To get the value, use a syntax like <code>eq.getInt(Equipment.WATT_MAX)</code> where <b><i>eq</i></b> is an instance of
 Equipment class;</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.WATT_MAX">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="WATT_MIN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WATT_MIN</h4>
<pre>public static final&nbsp;java.lang.String WATT_MIN</pre>
<div class="block">Indicates minimum watt value that the equipment can reach. To get the value, use a syntax like <code>eq.getInt(Equipment.WATT_MIN)</code> where <b><i>eq</i></b> is an instance of
 Equipment class;</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.WATT_MIN">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TARGET_WATT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TARGET_WATT</h4>
<pre>public static final&nbsp;java.lang.String TARGET_WATT</pre>
<div class="block">Indicates target watt value for the equipment. To get the value, use a syntax like <code>eq.getInt(Equipment.TARGET_WATT)</code> where <b><i>eq</i></b> is an instance of
 Equipment class;</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.TARGET_WATT">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="EFFORT_LEVEL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EFFORT_LEVEL</h4>
<pre>public static final&nbsp;java.lang.String EFFORT_LEVEL</pre>
<div class="block">Indicates the current effort level. To get the value, use a syntax like <code>eq.getInt(Equipment.EFFORT_LEVEL)</code> where <b><i>eq</i></b> is an instance of Equipment class;</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.EFFORT_LEVEL">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="EFFORT_LEVEL_MIN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EFFORT_LEVEL_MIN</h4>
<pre>public static final&nbsp;java.lang.String EFFORT_LEVEL_MIN</pre>
<div class="block">Indicates minimum effort level. To get the value, use a syntax like <code>eq.getInt(Equipment.EFFORT_LEVEL_MIN)</code> where <b><i>eq</i></b> is an instance of Equipment class;</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.EFFORT_LEVEL_MIN">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="EFFORT_LEVEL_MAX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EFFORT_LEVEL_MAX</h4>
<pre>public static final&nbsp;java.lang.String EFFORT_LEVEL_MAX</pre>
<div class="block">Indicates maximum effort level. To get the value, use a syntax like <code>eq.getInt(Equipment.EFFORT_LEVEL_MAX)</code> where <b><i>eq</i></b> is an instance of Equipment class;</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.EFFORT_LEVEL_MAX">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="SPM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SPM</h4>
<pre>public static final&nbsp;java.lang.String SPM</pre>
<div class="block">Step per minutes. . To get the value, use a syntax like <code>eq.getInt(Equipment.SPM)</code> where <b><i>eq</i></b> is an instance of Equipment class;</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.SPM">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="SPM_MIN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SPM_MIN</h4>
<pre>public static final&nbsp;java.lang.String SPM_MIN</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.SPM_MIN">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="SPM_MAX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SPM_MAX</h4>
<pre>public static final&nbsp;java.lang.String SPM_MAX</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.SPM_MAX">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TARGET_SPM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TARGET_SPM</h4>
<pre>public static final&nbsp;java.lang.String TARGET_SPM</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.TARGET_SPM">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="RPM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RPM</h4>
<pre>public static final&nbsp;java.lang.String RPM</pre>
<div class="block">Round per minutes. To get the value, use a syntax like <code>eq.getInt(Equipment.SPM)</code> where <b><i>eq</i></b> is an instance of Equipment class;</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.RPM">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="RPM_MIN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RPM_MIN</h4>
<pre>public static final&nbsp;java.lang.String RPM_MIN</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.RPM_MIN">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="RPM_MAX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RPM_MAX</h4>
<pre>public static final&nbsp;java.lang.String RPM_MAX</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.RPM_MAX">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TARGET_RPM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TARGET_RPM</h4>
<pre>public static final&nbsp;java.lang.String TARGET_RPM</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.TARGET_RPM">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TORQUE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TORQUE</h4>
<pre>public static final&nbsp;java.lang.String TORQUE</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.TORQUE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TORQUE_MIN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TORQUE_MIN</h4>
<pre>public static final&nbsp;java.lang.String TORQUE_MIN</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.TORQUE_MIN">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TORQUE_MAX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TORQUE_MAX</h4>
<pre>public static final&nbsp;java.lang.String TORQUE_MAX</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.TORQUE_MAX">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TARGET_TORQUE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TARGET_TORQUE</h4>
<pre>public static final&nbsp;java.lang.String TARGET_TORQUE</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.TARGET_TORQUE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="ACCELERATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACCELERATION</h4>
<pre>public static final&nbsp;java.lang.String ACCELERATION</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.ACCELERATION">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="REGENERATIVE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REGENERATIVE</h4>
<pre>public static final&nbsp;java.lang.String REGENERATIVE</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.REGENERATIVE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="HEARTRATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HEARTRATE</h4>
<pre>public static final&nbsp;java.lang.String HEARTRATE</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.HEARTRATE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="BIOFEEDBACK_SPM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BIOFEEDBACK_SPM</h4>
<pre>public static final&nbsp;java.lang.String BIOFEEDBACK_SPM</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.BIOFEEDBACK_SPM">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="BIOFEEDBACK_LOPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BIOFEEDBACK_LOPE</h4>
<pre>public static final&nbsp;java.lang.String BIOFEEDBACK_LOPE</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.BIOFEEDBACK_LOPE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="INVERTER_OUTPUT_CURRENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVERTER_OUTPUT_CURRENT</h4>
<pre>public static final&nbsp;java.lang.String INVERTER_OUTPUT_CURRENT</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.INVERTER_OUTPUT_CURRENT">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="INVERTER_INPUT_POWER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVERTER_INPUT_POWER</h4>
<pre>public static final&nbsp;java.lang.String INVERTER_INPUT_POWER</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.INVERTER_INPUT_POWER">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="DISTANCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DISTANCE</h4>
<pre>public static final&nbsp;java.lang.String DISTANCE</pre>
<div class="block">The distance traveled in the current training session. To get the value, use a syntax like <code>tr.getInt(Equipment.DISTANCE)</code> where <b><i>tr</i></b> is an instance of
 Equipment class;</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.DISTANCE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="HAND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HAND</h4>
<pre>public static final&nbsp;int HAND</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.HAND">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="BAND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BAND</h4>
<pre>public static final&nbsp;int BAND</pre>
<div class="block">Indicates you are using a chest band as heart rate channel to get the heart rate.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.BAND">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="HR_SOURCE_UNDETECTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HR_SOURCE_UNDETECTED</h4>
<pre>public static final&nbsp;int HR_SOURCE_UNDETECTED</pre>
<div class="block">Indicates heart rate channel is undected</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.HR_SOURCE_UNDETECTED">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="HEARTRATE_CHANNEL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HEARTRATE_CHANNEL</h4>
<pre>public static final&nbsp;java.lang.String HEARTRATE_CHANNEL</pre>
<div class="block">The heart rate channel. To get the value, use a syntax like <code>tr.getLong(Equipment.HEARTRATE_CHANNEL)</code> where <b><i>tr</i></b> is an instance of Equipment class.
 <p>
 The allowed types are
 
 <pre>
 <code>Equipment.HAND
 Equipment.BAND
 </code>
 </pre>
 
 </p></div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.HEARTRATE_CHANNEL">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="HR_NOT_DETECTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HR_NOT_DETECTED</h4>
<pre>public static final&nbsp;int HR_NOT_DETECTED</pre>
<div class="block">In this status, the heart rate is not detected. It is one of the values you can get when using the <code>tr.getLong(Training.STATUS)</code> command, where <b><i>tr</i></b> is an
 instance of Training class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.HR_NOT_DETECTED">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="ACCELERATION_NORMAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACCELERATION_NORMAL</h4>
<pre>public static final&nbsp;int ACCELERATION_NORMAL</pre>
<div class="block">Measures the amount of energy a person uses per minute. To get the value, use a syntax like <code>tr.getInt(Training.METS)</code> where <b><i>tr</i></b> is an instance of
 Training class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.ACCELERATION_NORMAL">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="ACCELERATION_HIGH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACCELERATION_HIGH</h4>
<pre>public static final&nbsp;int ACCELERATION_HIGH</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.ACCELERATION_HIGH">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="ACCELERATION_LOW">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACCELERATION_LOW</h4>
<pre>public static final&nbsp;int ACCELERATION_LOW</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.ACCELERATION_LOW">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="STRENGTH_ENCODER_0">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STRENGTH_ENCODER_0</h4>
<pre>public static final&nbsp;java.lang.String STRENGTH_ENCODER_0</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.STRENGTH_ENCODER_0">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="STRENGTH_ENCODER_1">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STRENGTH_ENCODER_1</h4>
<pre>public static final&nbsp;java.lang.String STRENGTH_ENCODER_1</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.STRENGTH_ENCODER_1">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="BROADCAST_ERROR_LOG_INTENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BROADCAST_ERROR_LOG_INTENT</h4>
<pre>public static final&nbsp;java.lang.String BROADCAST_ERROR_LOG_INTENT</pre>
<div class="block">Constant that indicates the action for the broadcast error log intent.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.BROADCAST_ERROR_LOG_INTENT">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="BROADCAST_OPERATING_DATA_INTENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BROADCAST_OPERATING_DATA_INTENT</h4>
<pre>public static final&nbsp;java.lang.String BROADCAST_OPERATING_DATA_INTENT</pre>
<div class="block">Constant that indicates the action for the broadcast operating data intent.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.BROADCAST_OPERATING_DATA_INTENT">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="BROADCAST_PARAMETER_INTENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BROADCAST_PARAMETER_INTENT</h4>
<pre>public static final&nbsp;java.lang.String BROADCAST_PARAMETER_INTENT</pre>
<div class="block">Constant that indicates the action for the broadcast parameter intent.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.BROADCAST_PARAMETER_INTENT">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="BROADCAST_UPDOWN_TABLE_POINT_INTENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BROADCAST_UPDOWN_TABLE_POINT_INTENT</h4>
<pre>public static final&nbsp;java.lang.String BROADCAST_UPDOWN_TABLE_POINT_INTENT</pre>
<div class="block">Constant that indicates the action for the broadcast up-down table point intent.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.BROADCAST_UPDOWN_TABLE_POINT_INTENT">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="UNKNOWN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UNKNOWN</h4>
<pre>public static final&nbsp;int UNKNOWN</pre>
<div class="block">The equipment status is "unknown". It is one of the values you can get when using the <code>eq.getLong(Equipment.STATUS)</code> command, where <b><i>eq</i></b> is an instance of
 Equipment class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.UNKNOWN">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="READY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>READY</h4>
<pre>public static final&nbsp;int READY</pre>
<div class="block">The equipment status is "ready". It is one of the values you can get when using the <code>eq.getLong(Equipment.STATUS)</code> command, where <b><i>eq</i></b> is an instance of
 Equipment class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.READY">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="RUNNING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RUNNING</h4>
<pre>public static final&nbsp;int RUNNING</pre>
<div class="block">The equipment status is "running". It is one of the values you can get when using the <code>eq.getLong(Equipment.STATUS)</code> command, where <b><i>eq</i></b> is an instance of
 Equipment class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.RUNNING">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="PAUSE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PAUSE</h4>
<pre>public static final&nbsp;int PAUSE</pre>
<div class="block">The equipment status is "pause". It is one of the values you can get when using the <code>eq.getLong(Equipment.STATUS)</code> command, where <b><i>eq</i></b> is an instance of
 Equipment class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.PAUSE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="STOPPED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STOPPED</h4>
<pre>public static final&nbsp;int STOPPED</pre>
<div class="block">The equipment status is "stopped". It is one of the values you can get when using the <code>eq.getLong(Equipment.STATUS)</code> command, where <b><i>eq</i></b> is an instance of
 Equipment class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.STOPPED">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="EMERGENCY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EMERGENCY</h4>
<pre>public static final&nbsp;int EMERGENCY</pre>
<div class="block">The equipment status is "emergency". It is one of the values you can get when using the <code>eq.getLong(Equipment.STATUS)</code> command, where <b><i>eq</i></b> is an instance
 of Equipment class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.EMERGENCY">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="FAULT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAULT</h4>
<pre>public static final&nbsp;int FAULT</pre>
<div class="block">The equipment status is "fault". It is one of the values you can get when using the <code>eq.getLong(Equipment.STATUS)</code> command, where <b><i>eq</i></b> is an instance of
 Equipment class.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.FAULT">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="FaultNone">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FaultNone</h4>
<pre>public static final&nbsp;int FaultNone</pre>
<div class="block">Indicates that no errors have occurred. Default value is 0.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.FaultNone">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="FaultGeneric">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FaultGeneric</h4>
<pre>public static final&nbsp;int FaultGeneric</pre>
<div class="block">Indicates that a generic error have occurred. Default value is 1.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.FaultGeneric">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="FaultIncline">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FaultIncline</h4>
<pre>public static final&nbsp;int FaultIncline</pre>
<div class="block">Indicates that an error in incline system have occurred. Default value is 2.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.FaultIncline">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="FaultEmergency">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FaultEmergency</h4>
<pre>public static final&nbsp;int FaultEmergency</pre>
<div class="block">Indicates an error occurred due to an emergency. Default value is 3.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.FaultEmergency">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="FaultCommLowKit">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FaultCommLowKit</h4>
<pre>public static final&nbsp;int FaultCommLowKit</pre>
<div class="block">Indicates an error occurred in the common low kit. Default value is 4.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.FaultCommLowKit">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="PAUSE_ACKNOWLEDGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PAUSE_ACKNOWLEDGE</h4>
<pre>public static final&nbsp;java.lang.String PAUSE_ACKNOWLEDGE</pre>
<div class="block">Indicates low kit has stopped after a pause command.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.PAUSE_ACKNOWLEDGE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="READY_TO_USE_ENABLED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>READY_TO_USE_ENABLED</h4>
<pre>public static final&nbsp;java.lang.String READY_TO_USE_ENABLED</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.READY_TO_USE_ENABLED">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="UPLOADING_IN_PROGRESS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UPLOADING_IN_PROGRESS</h4>
<pre>public static final&nbsp;java.lang.String UPLOADING_IN_PROGRESS</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.UPLOADING_IN_PROGRESS">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="FAULT_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FAULT_TYPE</h4>
<pre>public static final&nbsp;java.lang.String FAULT_TYPE</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.FAULT_TYPE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="SELECTED_PLATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SELECTED_PLATE</h4>
<pre>public static final&nbsp;java.lang.String SELECTED_PLATE</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.SELECTED_PLATE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="EXTRA_PLATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXTRA_PLATE</h4>
<pre>public static final&nbsp;java.lang.String EXTRA_PLATE</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.EXTRA_PLATE">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="CONTENT_URI">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONTENT_URI</h4>
<pre>public static final&nbsp;Uri CONTENT_URI</pre>
<div class="block">The Content Provider URI.</div>
</li>
</ul>
<a name="INTENT_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTENT_KEY</h4>
<pre>public static final&nbsp;java.lang.String INTENT_KEY</pre>
<div class="block">Constant that indicates the action is for equipment.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.INTENT_KEY">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="NOTIFY_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NOTIFY_KEY</h4>
<pre>public static final&nbsp;java.lang.String NOTIFY_KEY</pre>
<div class="block">Constant that indicates the key for notify action.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.NOTIFY_KEY">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="EVENT_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EVENT_KEY</h4>
<pre>public static final&nbsp;java.lang.String EVENT_KEY</pre>
<div class="block">Constant that indicates the key for events to use in intent.putExtra.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.EVENT_KEY">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="EVENT_UNKNOWN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EVENT_UNKNOWN</h4>
<pre>public static final&nbsp;int EVENT_UNKNOWN</pre>
<div class="block">Constant to indicate an unknow event. The default value is -1.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.EVENT_UNKNOWN">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="EVENT_STARTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EVENT_STARTED</h4>
<pre>public static final&nbsp;int EVENT_STARTED</pre>
<div class="block">Constant to indicate the event is started. The default value is 1.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.EVENT_STARTED">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="EVENT_NOTIFY_STARTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EVENT_NOTIFY_STARTED</h4>
<pre>public static final&nbsp;java.lang.String EVENT_NOTIFY_STARTED</pre>
<div class="block">Constant to indicate the event is started.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.EVENT_NOTIFY_STARTED">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="EVENT_NOTIFY_STOPPED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EVENT_NOTIFY_STOPPED</h4>
<pre>public static final&nbsp;java.lang.String EVENT_NOTIFY_STOPPED</pre>
<div class="block">Constant to indicate the event is stopped.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.EVENT_NOTIFY_STOPPED">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="EVENT_STOPPED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EVENT_STOPPED</h4>
<pre>public static final&nbsp;int EVENT_STOPPED</pre>
<div class="block">Constant to indicate the event is stopped. The default value is 2.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.EVENT_STOPPED">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="EVENT_RESTARTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EVENT_RESTARTED</h4>
<pre>public static final&nbsp;int EVENT_RESTARTED</pre>
<div class="block">Constant to indicate the event is restarted. The default value is 3.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.EVENT_RESTARTED">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="LOGOUT_TIMEOUT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LOGOUT_TIMEOUT</h4>
<pre>public static final&nbsp;java.lang.String LOGOUT_TIMEOUT</pre>
<div class="block">Start a broadcast to notify an event.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.LOGOUT_TIMEOUT">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="GREEN_TRAINING_ENERGY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GREEN_TRAINING_ENERGY</h4>
<pre>public static final&nbsp;java.lang.String GREEN_TRAINING_ENERGY</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.GREEN_TRAINING_ENERGY">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="GREEN_EQUIPMENT_ENERGY">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GREEN_EQUIPMENT_ENERGY</h4>
<pre>public static final&nbsp;java.lang.String GREEN_EQUIPMENT_ENERGY</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#com.technogym.android.unitysdk.Equipment.GREEN_EQUIPMENT_ENERGY">Constant Field Values</a></dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getInstance(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstance</h4>
<pre>public static&nbsp;<a href="../../../../com/technogym/android/unitysdk/Equipment.html" title="class in com.technogym.android.unitysdk">Equipment</a>&nbsp;getInstance(Context&nbsp;ctx)</pre>
<div class="block">Obtain reference of singleton.</div>
</li>
</ul>
<a name="tearDown()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tearDown</h4>
<pre>public&nbsp;void&nbsp;tearDown()</pre>
<div class="block">Fake tear down does nothing because this Content Provider Proxy is a singleton.</div>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code>tearDown</code>&nbsp;in class&nbsp;<code>com.technogym.android.unitysdk.ContentProviderProxy</code></dd>
</dl>
</li>
</ul>
<a name="getItentType(Intent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getItentType</h4>
<pre>public static&nbsp;int&nbsp;getItentType(Intent&nbsp;intent)</pre>
<div class="block">Return the intent type</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>intent</code> - The intent from which to obtain the type.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The Intent type</dd></dl>
</li>
</ul>
<a name="notifyEvent(Context, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>notifyEvent</h4>
<pre>public static&nbsp;void&nbsp;notifyEvent(Context&nbsp;ctx,
               int&nbsp;event)</pre>
</li>
</ul>
<a name="isBike()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isBike</h4>
<pre>public&nbsp;boolean&nbsp;isBike()</pre>
</li>
</ul>
<a name="isRecline()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRecline</h4>
<pre>public&nbsp;boolean&nbsp;isRecline()</pre>
</li>
</ul>
<a name="isSynchro()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSynchro</h4>
<pre>public&nbsp;boolean&nbsp;isSynchro()</pre>
</li>
</ul>
<a name="isVario()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isVario</h4>
<pre>public&nbsp;boolean&nbsp;isVario()</pre>
</li>
</ul>
<a name="isRun()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRun</h4>
<pre>public&nbsp;boolean&nbsp;isRun()</pre>
</li>
</ul>
<a name="isRunEXCITE()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRunEXCITE</h4>
<pre>public&nbsp;boolean&nbsp;isRunEXCITE()</pre>
</li>
</ul>
<a name="isJogEXCITE()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isJogEXCITE</h4>
<pre>public&nbsp;boolean&nbsp;isJogEXCITE()</pre>
</li>
</ul>
<a name="isCrossover()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCrossover</h4>
<pre>public&nbsp;boolean&nbsp;isCrossover()</pre>
</li>
</ul>
<a name="isTop()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTop</h4>
<pre>public&nbsp;boolean&nbsp;isTop()</pre>
</li>
</ul>
<a name="isStep()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isStep</h4>
<pre>public&nbsp;boolean&nbsp;isStep()</pre>
</li>
</ul>
<a name="isWave()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isWave</h4>
<pre>public&nbsp;boolean&nbsp;isWave()</pre>
</li>
</ul>
<a name="isGreenEquipment()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isGreenEquipment</h4>
<pre>public&nbsp;boolean&nbsp;isGreenEquipment()</pre>
</li>
</ul>
<a name="getIntegerfromIntent(Intent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIntegerfromIntent</h4>
<pre>public static&nbsp;int&nbsp;getIntegerfromIntent(Intent&nbsp;intent)</pre>
</li>
</ul>
<a name="getStatefromIntent(Intent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatefromIntent</h4>
<pre>public static&nbsp;int&nbsp;getStatefromIntent(Intent&nbsp;intent)</pre>
</li>
</ul>
<a name="getCodefromIntent(Intent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCodefromIntent</h4>
<pre>public static&nbsp;int&nbsp;getCodefromIntent(Intent&nbsp;intent)</pre>
</li>
</ul>
<a name="isBike(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isBike</h4>
<pre>public static&nbsp;boolean&nbsp;isBike(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="isRecline(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRecline</h4>
<pre>public static&nbsp;boolean&nbsp;isRecline(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="isSynchro(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSynchro</h4>
<pre>public static&nbsp;boolean&nbsp;isSynchro(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="isVario(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isVario</h4>
<pre>public static&nbsp;boolean&nbsp;isVario(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="isRun(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRun</h4>
<pre>public static&nbsp;boolean&nbsp;isRun(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="isRunEXCITE(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRunEXCITE</h4>
<pre>public static&nbsp;boolean&nbsp;isRunEXCITE(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="isRunExcite700(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRunExcite700</h4>
<pre>public static&nbsp;boolean&nbsp;isRunExcite700(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="isRunExcite1000(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRunExcite1000</h4>
<pre>public static&nbsp;boolean&nbsp;isRunExcite1000(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="isRunExcite600(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRunExcite600</h4>
<pre>public static&nbsp;boolean&nbsp;isRunExcite600(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="isCrossover(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCrossover</h4>
<pre>public static&nbsp;boolean&nbsp;isCrossover(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="isTop(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTop</h4>
<pre>public static&nbsp;boolean&nbsp;isTop(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="isStep(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isStep</h4>
<pre>public static&nbsp;boolean&nbsp;isStep(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="isWave(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isWave</h4>
<pre>public static&nbsp;boolean&nbsp;isWave(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="isArtisStrength(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isArtisStrength</h4>
<pre>public static&nbsp;boolean&nbsp;isArtisStrength(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="isArtis(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isArtis</h4>
<pre>public static&nbsp;boolean&nbsp;isArtis(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="isPersonal(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPersonal</h4>
<pre>public static&nbsp;boolean&nbsp;isPersonal(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="isUnitySelf(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isUnitySelf</h4>
<pre>public static&nbsp;boolean&nbsp;isUnitySelf(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="isTvTouch(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTvTouch</h4>
<pre>public static&nbsp;boolean&nbsp;isTvTouch(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="isMusicTouch(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isMusicTouch</h4>
<pre>public static&nbsp;boolean&nbsp;isMusicTouch(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="isUnity(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isUnity</h4>
<pre>public static&nbsp;boolean&nbsp;isUnity(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="getCode(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCode</h4>
<pre>public static&nbsp;int&nbsp;getCode(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="getFamilyCode(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFamilyCode</h4>
<pre>public static&nbsp;int&nbsp;getFamilyCode(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="getGenericCode(Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGenericCode</h4>
<pre>public static&nbsp;int&nbsp;getGenericCode(Context&nbsp;ctx)</pre>
</li>
</ul>
<a name="getDisplayType(Context)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getDisplayType</h4>
<pre>public static&nbsp;int&nbsp;getDisplayType(Context&nbsp;ctx)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
</body>
</html>
